[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBeforeShowPageEvent

Specifies an event handler triggered before a page in displayed.

## Declaration

Source position: extctrls.pp line 43

`type TBeforeShowPageEvent = procedure(`
`ASender: TObject;`
`ANewPage: TPage;`
`ANewIndex: Integer`
`) of object;`

## Arguments

`ASender` |  | Object for the event notification.
`ANewPage` |  | The page instance for the notification.
`ANewIndex` |  | The ordinal position for the page in the parent control.

## Description

TBeforeShowPageEvent is an object procedure which specifies an event handler triggered before a page in displayed. TBeforeShowPageEvent can be used to perform actions needed to configure the page or its parent control before the new page is displayed.

TBeforeShowPageEvent is the type used to implement the OnBeforeShow event handler in TPage.

## See also

TPage.OnBeforeShow |  | Event handler signalled before the page is displayed.